libmwaw::Debug Namespace Reference documentation

Functions
libmwaw::Debug Namespace Reference

debugging tools More...

## Functions
bool | dumpFile (librevenge::RVNGBinaryData &data, char const *fileName)
| a debug function to store in a datafile in the current directory WARNING: this function erase the file fileName if it exists (if debug_with_files is not defined, does nothing) More...
std::string | flattenFileName (std::string const &name)
| returns a file name from an ole/... name More...

## Detailed Description

debugging tools

## Function Documentation

## ◆ dumpFile()

bool libmwaw::Debug::dumpFile | ( | librevenge::RVNGBinaryData & | data,
|  | char const * | fileName
| ) |  |

a debug function to store in a datafile in the current directory WARNING: this function erase the file fileName if it exists (if debug_with_files is not defined, does nothing)

Referenced by EDocParser::decodeZone(), ApplePictParser::drawBitmap(), ApplePictParser::drawPixmap(), MsWksGraphInternal::DataPict::getBinaryData(), MacDraft5StyleManager::getBitmap(), MsWksGraph::getEntryPicture(), CanvasGraph::getPicture(), MacDraft5StyleManager::getPixmap(), MWAWOLEParser::parse(), MWAWRSRCParser::parsePICT(), PowerPoint7Graph::readBitmap(), Canvas5Structure::readBitmap(), MarinerWrtParser::readCPRT(), ClarisWksDocument::readCPRT(), ZWrtParser::readCPRT(), MacDocParser::readFile(), CanvasGraph::readFileBitmap(), StyleParser::readFormats(), WingzGraph::readGraphic(), MacWrtParser::readGraphic(), MoreParser::readGraphic(), PowerPoint7Graph::readMetaFile(), ClarisWksGraph::readNamedPict(), ClarisWksGraph::readOLE(), MacDraft5Parser::readPICT(), ClarisWksGraph::readPictData(), Canvas5Parser::readPicture(), BeagleWksStructManager::readPicture(), WordMakerParser::readPicture(), MsWrdParser::readPicture(), PowerPoint1Parser::readPicture(), StudentWritingCParser::readPicture(), PowerPoint3Parser::readPictureContent(), RagTime5Graph::readPictureData(), StyleParser::readPictures(), MarinerWrtGraph::readPostscript(), Canvas5Structure::readPreview(), ClarisWksGraph::readPS(), Canvas5Image::readQkTmRsrc(), CorelPainterParser::readResource(), GreatWksDBParser::readRowRecords(), ClarisWksDocument::readSNAP(), Canvas5Image::readVKFL(), ClarisWksDocument::readZone(), libmwaw_applepict1::Bitmap::saveBitmap(), FreeHandParser::sendBackgroundPicture(), CorelPainterParser::sendBitmap(), MacDraftParser::sendBitmap(), MacDrawParser::sendBitmap(), MacDrawProParser::sendBitmap(), MsWksTable::sendChart(), Canvas5Graph::sendGIF(), ActaText::sendGraphic(), FullWrtGraph::sendGraphic(), LightWayTxtGraph::sendJPEG(), MouseWrtParser::sendMainZone(), GreatWksBMParser::sendPicture(), ClarisWksGraph::sendPicture(), FreeHandParser::sendPicture(), HanMacWrdKGraph::sendPicture(), RagTimeParser::sendPicture(), MarinerWrtGraph::sendPicture(), GreatWksGraph::sendPicture(), MacWrtProParser::sendPicture(), WriteNowParser::sendPicture(), HanMacWrdJGraph::sendPictureFrame(), MarinerWrtGraph::sendPSZone(), DrawTableParser::sendShape(), and MoreText::sendText().

## ◆ flattenFileName()

std::string libmwaw::Debug::flattenFileName | ( | std::string const & | name | ) |

returns a file name from an ole/... name

Referenced by dumpFile(), MsWks4Zone::setAscii(), and libmwaw::DebugFile::write().